function  BVH2SKELCSV( bvhfilename, skelfilename )

[skel1, chh, fl ] = bvhReadFile(bvhfilename);
for i=1:size(chh,1)
[skel2,echh(i,:)] = bvh2expmap(skel1,chh(i,:));
end

for ii=1:length(skel1.tree)
skel1.tree(ii).expmapInd = skel2.tree(ii).rotInd;
end

for i=1:size(skel1.tree,2)
names2{i} = skel1.tree(i).name;
end

connect = skelConnectionMatrix(skel1);
       
csvwrite(strcat(skelfilename),connect);
    

end

